Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portlet.prefs
Interface IIPreferenceAppStore

All Known Subinterfaces:
  IPreferenceAppStore

    public interface IIPreferenceAppStore

This is an SPI for managing preferences for portlets.

See Also
  `for information on how to register an implementation with the system.`
  This interface is intended to be implemented only by BEA Weblogic Portal. BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`Map<String,com.bea.portlet.prefs.Preference>` | `getPreferences(PortletPreferencesId uniqueId, Map<String,String> properties)` Returns preferences for a portlet entity with the given `uniqueId`.
`void` | `removePreferences(PortletPreferencesId[] uniqueIds, Map<String,String> properties)` Clear all preferences for the given unique ID from the underlying persistence store.
`void` | `storePreferences(PortletPreferencesId uniqueId, Map<String,com.bea.portlet.prefs.Preference> preferences, Map<String,String> properties)` Writes the preferences to the underlying persistence.

Method Detail

### getPreferences

    Map<String,com.bea.portlet.prefs.Preference> getPreferences(PortletPreferencesId uniqueId,
                                                                Map<String,String> properties)
                                                                throws RemoteException,
                                                                       PreferenceAppStoreException

  Returns preferences for a portlet entity with the given `uniqueId`.

  The returned `java.util.Map` contains `com.bea.netuix.application.prefs.Preference` objects keyed against their names.

  Parameters
    `uniqueId` - unique ID
    `properties` - map of context parameters set up by the container; see PreferenceAppStoreProperties for a list of relevant properties.
  Returns
    preferences
  Throws
    `RemoteException`
    `PreferenceAppStoreException`
  See Also
    `PreferenceAppStoreProperties`

### storePreferences

    void storePreferences(PortletPreferencesId uniqueId,
                          Map<String,com.bea.portlet.prefs.Preference> preferences,
                          Map<String,String> properties)
                          throws RemoteException,
                                 PreferenceAppStoreException

  Writes the preferences to the underlying persistence.

  This method should be implemented to be atomic. That is, the implementation should guarantee that either all preference values are persisted or none at all.

  The `java.util.Map` argument should contain `com.bea.netuix.application.prefs.Preference` objects keyed against their names.

  Parameters
    `uniqueId` - unique ID
    `preferences` - preferences
    `properties` - map of context parameters set up by the container; see PreferenceAppStoreProperties for a list of relevant properties.
  Throws
    `RemoteException`
    `PreferenceAppStoreException`
  See Also
    `PreferenceAppStoreProperties`

### removePreferences

    void removePreferences(PortletPreferencesId[] uniqueIds,
                           Map<String,String> properties)
                           throws RemoteException,
                                  PreferenceAppStoreException

  Clear all preferences for the given unique ID from the underlying persistence store.

  Parameters
    `uniqueIds` - unique IDs
    `properties` - map of context parameters set up by the container; see PreferenceAppStoreProperties for a list of relevant properties.
  Throws
    `RemoteException`
    `PreferenceAppStoreException`
  See Also
    `PreferenceAppStoreProperties`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved